#ifndef TEACHER_TASKS_H
#define TEACHER_TASKS_H

class CBaseTask;

// Base Teacher task
class CBaseTeacherTask: public CBaseTask
{
public:
	// Text display variabels
	float m_fFadeInTime, m_fFadeOutTime, m_fHoldTime;
	char m_szTriggerAtStart[32], m_szTriggerAtEnd[32];
	char m_szSpeechFile[256];
	bool m_bPlayerCanMove;

	// Not needed for teacher tasks
	virtual int GetNesserelyChecks(void) { return 0; };
	virtual int GetBotStatusChecks(void) { return 0; };
	virtual int GetBotSenseChecks(void) { return 0; };
	virtual int GetBotMiscChecks(void) { return 0; };

	virtual bool ShouldManageEnemies(void) { return false; };
	virtual void ManageEnemies(void) {};
	virtual void Activate(void) {};
};

#endif // TEACHER_TASKS_H